Vous êtes ici: index » cert » avis

Avis du CERT RENATER

Par défaut, cette page vous affichera les derniers messages envoyés par le CERT RENATER à la communauté. Vous pouvez affiner par année ou par type de message. Si aucun critère n'est précisé, seuls les derniers messages sont affichés

Date : Tue, 20 Jun 2017 17:21:18 +0200
Type : VULN
Sujet : CERT-Renater : 2017/VULN186 (Glibc : Local privilege escalation vulnerability fixed in Glibc)
===================================================================
                              CERT-Renater

                 Note d'Information No. 2017/VULN186
_____________________________________________________________________

DATE                : 20/06/2017

HARDWARE PLATFORM(S): /

OPERATING SYSTEM(S): Systems running glibc.

=====================================================================
http://www.debian.org/security/2017/dsa-3887
http://www.ubuntu.com/usn/usn-3323-1
https://access.redhat.com/errata/RHSA-2017:1479
https://access.redhat.com/errata/RHSA-2017:1480
https://access.redhat.com/errata/RHSA-2017:1481
https://www.suse.com/security/cve/CVE-2017-1000366.html
____________________________________________________________________

- -
-------------------------------------------------------------------------
Debian Security Advisory DSA-3887-1                   security@debian.org
https://www.debian.org/security/                       Moritz Muehlenhoff
June 19, 2017                         https://www.debian.org/security/faq
- -
-------------------------------------------------------------------------

Package        : glibc
CVE ID         : CVE-2017-1000366

The Qualys Research Labs discovered various problems in the dynamic
linker of the GNU C Library which allow local privilege escalation by
clashing the stack. For the full details, please refer to their advisory
published at:
https://www.qualys.com/2017/06/19/stack-clash/stack-clash.txt

For the oldstable distribution (jessie), this problem has been fixed
in version 2.19-18+deb8u10.

For the stable distribution (stretch), this problem has been fixed in
version 2.24-11+deb9u1.

For the unstable distribution (sid), this problem will be fixed soon.

We recommend that you upgrade your glibc packages.

Further information about Debian Security Advisories, how to apply
these updates to your system and frequently asked questions can be
found at: https://www.debian.org/security/

Mailing list: debian-security-announce@lists.debian.org

____________________________________________________________________

==========================================================================
Ubuntu Security Notice USN-3323-1
June 19, 2017

eglibc, glibc vulnerability
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- - Ubuntu 17.04
- - Ubuntu 16.10
- - Ubuntu 16.04 LTS
- - Ubuntu 14.04 LTS

Summary:

Gnu C library could be made to run programs as an administrator.

Software Description:
- - glibc: GNU C Library
- - eglibc: GNU C Library

Details:

It was discovered that the GNU C library did not properly handle memory
when processing environment variables for setuid programs. A local attacker
could use this in combination with another vulnerability to gain
administrative privileges.

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 17.04:
  libc6                           2.24-9ubuntu2.2

Ubuntu 16.10:
  libc6                           2.24-3ubuntu2.2

Ubuntu 16.04 LTS:
  libc6                           2.23-0ubuntu9

Ubuntu 14.04 LTS:
  libc6                           2.19-0ubuntu6.13

After a standard system update you need to reboot your computer to make
all the necessary changes.

References:
  https://www.ubuntu.com/usn/usn-3323-1
  CVE-2017-1000366

Package Information:
  https://launchpad.net/ubuntu/+source/glibc/2.24-9ubuntu2.2
  https://launchpad.net/ubuntu/+source/glibc/2.24-3ubuntu2.2
  https://launchpad.net/ubuntu/+source/glibc/2.23-0ubuntu9
  https://launchpad.net/ubuntu/+source/eglibc/2.19-0ubuntu6.13
____________________________________________________________________

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Important: glibc security update
Advisory ID:       RHSA-2017:1479-01
Product:           Red Hat Enterprise Linux
Advisory URL:      https://access.redhat.com/errata/RHSA-2017:1479
Issue date:        2017-06-19
CVE Names:         CVE-2017-1000366
=====================================================================

1. Summary:

An update for glibc is now available for Red Hat Enterprise Linux 5
Extended Lifecycle Support, Red Hat Enterprise Linux 5.9 Long Life, Red
Hat Enterprise Linux 6.2 Advanced Update Support, Red Hat Enterprise
Linux 6.4 Advanced Update Support, Red Hat Enterprise Linux 6.5
Advanced Update Support, Red Hat Enterprise Linux 6.5 Telco Extended
Update Support, Red Hat Enterprise Linux 6.6 Advanced Update Support,
Red Hat Enterprise Linux 6.6 Telco Extended Update Support, Red Hat
Enterprise Linux 6.7 Extended Update Support, and Red Hat Enterprise
Linux 7.2 Extended Update Support.

Red Hat Product Security has rated this update as having a security
impact of Important. A Common Vulnerability Scoring System (CVSS) base
score, which gives a detailed severity rating, is available for each
vulnerability from the CVE link(s) in the References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux ComputeNode EUS (v. 7.2) - x86_64
Red Hat Enterprise Linux ComputeNode Optional EUS (v. 7.2) - x86_64
Red Hat Enterprise Linux HPC Node EUS (v. 6.7) - x86_64
Red Hat Enterprise Linux HPC Node Optional EUS (v. 6.7) - x86_64
Red Hat Enterprise Linux Long Life (v. 5.9 server) - i386, ia64, x86_64
Red Hat Enterprise Linux Server (v. 5 ELS) - i386, s390x, x86_64
Red Hat Enterprise Linux Server AUS (v. 6.2) - x86_64
Red Hat Enterprise Linux Server AUS (v. 6.4) - x86_64
Red Hat Enterprise Linux Server AUS (v. 6.5) - x86_64
Red Hat Enterprise Linux Server AUS (v. 6.6) - x86_64
Red Hat Enterprise Linux Server EUS (v. 6.7) - i386, ppc64, s390x, x86_64
Red Hat Enterprise Linux Server EUS (v. 7.2) - ppc64, ppc64le, s390x, x86_64
Red Hat Enterprise Linux Server Optional AUS (v. 6.2) - x86_64
Red Hat Enterprise Linux Server Optional AUS (v. 6.4) - x86_64
Red Hat Enterprise Linux Server Optional AUS (v. 6.5) - x86_64
Red Hat Enterprise Linux Server Optional AUS (v. 6.6) - x86_64
Red Hat Enterprise Linux Server Optional EUS (v. 6.7) - i386, ppc64,
s390x, x86_64
Red Hat Enterprise Linux Server Optional EUS (v. 7.2) - ppc64, ppc64le,
s390x, x86_64
Red Hat Enterprise Linux Server Optional TUS (v. 6.5) - x86_64
Red Hat Enterprise Linux Server Optional TUS (v. 6.6) - x86_64
Red Hat Enterprise Linux Server TUS (v. 6.5) - x86_64
Red Hat Enterprise Linux Server TUS (v. 6.6) - x86_64

3. Description:

The glibc packages provide the standard C libraries (libc), POSIX thread
libraries (libpthread), standard math libraries (libm), and the name
service cache daemon (nscd) used by multiple programs on the system.
Without these libraries, the Linux system cannot function correctly.

Security Fix(es):

* A flaw was found in the way memory was being allocated on the stack
for user space binaries. If heap (or different memory region) and stack
memory regions were adjacent to each other, an attacker could use this
flaw to jump over the stack guard gap, cause controlled memory
corruption on process stack or the adjacent memory region, and thus
increase their privileges on the system. This is glibc-side mitigation
which blocks processing of LD_LIBRARY_PATH for programs running in
secure-execution mode and reduces the number of allocations performed
by the processing of LD_AUDIT, LD_PRELOAD, and LD_HWCAP_MASK, making
successful exploitation of this issue more difficult. (CVE-2017-1000366)

Red Hat would like to thank Qualys Research Labs for reporting this
issue.

4. Solution:

For details on how to apply this update, which includes the changes
described in this advisory, refer to:

https://access.redhat.com/articles/11258

For the update to take effect, all services linked to the glibc library
must be restarted, or the system rebooted.

5. Bugs fixed (https://bugzilla.redhat.com/):

1452543 - CVE-2017-1000366 glibc: heap/stack gap jumping via unbounded
stack allocations

6. Package List:

Red Hat Enterprise Linux Long Life (v. 5.9 server):

Source:
glibc-2.5-107.el5_9.9.src.rpm

i386:
glibc-2.5-107.el5_9.9.i386.rpm
glibc-2.5-107.el5_9.9.i686.rpm
glibc-common-2.5-107.el5_9.9.i386.rpm
glibc-debuginfo-2.5-107.el5_9.9.i386.rpm
glibc-debuginfo-2.5-107.el5_9.9.i686.rpm
glibc-debuginfo-common-2.5-107.el5_9.9.i386.rpm
glibc-devel-2.5-107.el5_9.9.i386.rpm
glibc-headers-2.5-107.el5_9.9.i386.rpm
glibc-utils-2.5-107.el5_9.9.i386.rpm
nscd-2.5-107.el5_9.9.i386.rpm

ia64:
glibc-2.5-107.el5_9.9.i686.rpm
glibc-2.5-107.el5_9.9.ia64.rpm
glibc-common-2.5-107.el5_9.9.ia64.rpm
glibc-debuginfo-2.5-107.el5_9.9.i686.rpm
glibc-debuginfo-2.5-107.el5_9.9.ia64.rpm
glibc-debuginfo-common-2.5-107.el5_9.9.i386.rpm
glibc-devel-2.5-107.el5_9.9.ia64.rpm
glibc-headers-2.5-107.el5_9.9.ia64.rpm
glibc-utils-2.5-107.el5_9.9.ia64.rpm
nscd-2.5-107.el5_9.9.ia64.rpm

x86_64:
glibc-2.5-107.el5_9.9.i686.rpm
glibc-2.5-107.el5_9.9.x86_64.rpm
glibc-common-2.5-107.el5_9.9.x86_64.rpm
glibc-debuginfo-2.5-107.el5_9.9.i386.rpm
glibc-debuginfo-2.5-107.el5_9.9.i686.rpm
glibc-debuginfo-2.5-107.el5_9.9.x86_64.rpm
glibc-debuginfo-common-2.5-107.el5_9.9.i386.rpm
glibc-devel-2.5-107.el5_9.9.i386.rpm
glibc-devel-2.5-107.el5_9.9.x86_64.rpm
glibc-headers-2.5-107.el5_9.9.x86_64.rpm
glibc-utils-2.5-107.el5_9.9.x86_64.rpm
nscd-2.5-107.el5_9.9.x86_64.rpm

Red Hat Enterprise Linux Server (v. 5 ELS):

Source:
glibc-2.5-123.el5_11.4.src.rpm

i386:
glibc-2.5-123.el5_11.4.i386.rpm
glibc-2.5-123.el5_11.4.i686.rpm
glibc-common-2.5-123.el5_11.4.i386.rpm
glibc-debuginfo-2.5-123.el5_11.4.i386.rpm
glibc-debuginfo-2.5-123.el5_11.4.i686.rpm
glibc-debuginfo-common-2.5-123.el5_11.4.i386.rpm
glibc-devel-2.5-123.el5_11.4.i386.rpm
glibc-headers-2.5-123.el5_11.4.i386.rpm
glibc-utils-2.5-123.el5_11.4.i386.rpm
nscd-2.5-123.el5_11.4.i386.rpm

s390x:
glibc-2.5-123.el5_11.4.s390.rpm
glibc-2.5-123.el5_11.4.s390x.rpm
glibc-common-2.5-123.el5_11.4.s390x.rpm
glibc-debuginfo-2.5-123.el5_11.4.s390.rpm
glibc-debuginfo-2.5-123.el5_11.4.s390x.rpm
glibc-devel-2.5-123.el5_11.4.s390.rpm
glibc-devel-2.5-123.el5_11.4.s390x.rpm
glibc-headers-2.5-123.el5_11.4.s390x.rpm
glibc-utils-2.5-123.el5_11.4.s390x.rpm
nscd-2.5-123.el5_11.4.s390x.rpm

x86_64:
glibc-2.5-123.el5_11.4.i686.rpm
glibc-2.5-123.el5_11.4.x86_64.rpm
glibc-common-2.5-123.el5_11.4.x86_64.rpm
glibc-debuginfo-2.5-123.el5_11.4.i386.rpm
glibc-debuginfo-2.5-123.el5_11.4.i686.rpm
glibc-debuginfo-2.5-123.el5_11.4.x86_64.rpm
glibc-debuginfo-common-2.5-123.el5_11.4.i386.rpm
glibc-devel-2.5-123.el5_11.4.i386.rpm
glibc-devel-2.5-123.el5_11.4.x86_64.rpm
glibc-headers-2.5-123.el5_11.4.x86_64.rpm
glibc-utils-2.5-123.el5_11.4.x86_64.rpm
nscd-2.5-123.el5_11.4.x86_64.rpm

Red Hat Enterprise Linux HPC Node EUS (v. 6.7):

Source:
glibc-2.12-1.166.el6_7.8.src.rpm

x86_64:
glibc-2.12-1.166.el6_7.8.i686.rpm
glibc-2.12-1.166.el6_7.8.x86_64.rpm
glibc-common-2.12-1.166.el6_7.8.x86_64.rpm
glibc-debuginfo-2.12-1.166.el6_7.8.i686.rpm
glibc-debuginfo-2.12-1.166.el6_7.8.x86_64.rpm
glibc-debuginfo-common-2.12-1.166.el6_7.8.i686.rpm
glibc-debuginfo-common-2.12-1.166.el6_7.8.x86_64.rpm
glibc-devel-2.12-1.166.el6_7.8.i686.rpm
glibc-devel-2.12-1.166.el6_7.8.x86_64.rpm
glibc-headers-2.12-1.166.el6_7.8.x86_64.rpm
glibc-utils-2.12-1.166.el6_7.8.x86_64.rpm
nscd-2.12-1.166.el6_7.8.x86_64.rpm

Red Hat Enterprise Linux HPC Node Optional EUS (v. 6.7):

x86_64:
glibc-debuginfo-2.12-1.166.el6_7.8.i686.rpm
glibc-debuginfo-2.12-1.166.el6_7.8.x86_64.rpm
glibc-debuginfo-common-2.12-1.166.el6_7.8.i686.rpm
glibc-debuginfo-common-2.12-1.166.el6_7.8.x86_64.rpm
glibc-static-2.12-1.166.el6_7.8.i686.rpm
glibc-static-2.12-1.166.el6_7.8.x86_64.rpm

Red Hat Enterprise Linux Server AUS (v. 6.2):

Source:
glibc-2.12-1.47.el6_2.18.src.rpm

x86_64:
glibc-2.12-1.47.el6_2.18.i686.rpm
glibc-2.12-1.47.el6_2.18.x86_64.rpm
glibc-common-2.12-1.47.el6_2.18.x86_64.rpm
glibc-debuginfo-2.12-1.47.el6_2.18.i686.rpm
glibc-debuginfo-2.12-1.47.el6_2.18.x86_64.rpm
glibc-debuginfo-common-2.12-1.47.el6_2.18.i686.rpm
glibc-debuginfo-common-2.12-1.47.el6_2.18.x86_64.rpm
glibc-devel-2.12-1.47.el6_2.18.i686.rpm
glibc-devel-2.12-1.47.el6_2.18.x86_64.rpm
glibc-headers-2.12-1.47.el6_2.18.x86_64.rpm
glibc-utils-2.12-1.47.el6_2.18.x86_64.rpm
nscd-2.12-1.47.el6_2.18.x86_64.rpm

Red Hat Enterprise Linux Server AUS (v. 6.4):

Source:
glibc-2.12-1.107.el6_4.10.src.rpm

x86_64:
glibc-2.12-1.107.el6_4.10.i686.rpm
glibc-2.12-1.107.el6_4.10.x86_64.rpm
glibc-common-2.12-1.107.el6_4.10.x86_64.rpm
glibc-debuginfo-2.12-1.107.el6_4.10.i686.rpm
glibc-debuginfo-2.12-1.107.el6_4.10.x86_64.rpm
glibc-debuginfo-common-2.12-1.107.el6_4.10.i686.rpm
glibc-debuginfo-common-2.12-1.107.el6_4.10.x86_64.rpm
glibc-devel-2.12-1.107.el6_4.10.i686.rpm
glibc-devel-2.12-1.107.el6_4.10.x86_64.rpm
glibc-headers-2.12-1.107.el6_4.10.x86_64.rpm
glibc-utils-2.12-1.107.el6_4.10.x86_64.rpm
nscd-2.12-1.107.el6_4.10.x86_64.rpm

Red Hat Enterprise Linux Server AUS (v. 6.5):

Source:
glibc-2.12-1.132.el6_5.9.src.rpm

x86_64:
glibc-2.12-1.132.el6_5.9.i686.rpm
glibc-2.12-1.132.el6_5.9.x86_64.rpm
glibc-common-2.12-1.132.el6_5.9.x86_64.rpm
glibc-debuginfo-2.12-1.132.el6_5.9.i686.rpm
glibc-debuginfo-2.12-1.132.el6_5.9.x86_64.rpm
glibc-debuginfo-common-2.12-1.132.el6_5.9.i686.rpm
glibc-debuginfo-common-2.12-1.132.el6_5.9.x86_64.rpm
glibc-devel-2.12-1.132.el6_5.9.i686.rpm
glibc-devel-2.12-1.132.el6_5.9.x86_64.rpm
glibc-headers-2.12-1.132.el6_5.9.x86_64.rpm
glibc-utils-2.12-1.132.el6_5.9.x86_64.rpm
nscd-2.12-1.132.el6_5.9.x86_64.rpm

Red Hat Enterprise Linux Server TUS (v. 6.5):

Source:
glibc-2.12-1.132.el6_5.9.src.rpm

x86_64:
glibc-2.12-1.132.el6_5.9.i686.rpm
glibc-2.12-1.132.el6_5.9.x86_64.rpm
glibc-common-2.12-1.132.el6_5.9.x86_64.rpm
glibc-debuginfo-2.12-1.132.el6_5.9.i686.rpm
glibc-debuginfo-2.12-1.132.el6_5.9.x86_64.rpm
glibc-debuginfo-common-2.12-1.132.el6_5.9.i686.rpm
glibc-debuginfo-common-2.12-1.132.el6_5.9.x86_64.rpm
glibc-devel-2.12-1.132.el6_5.9.i686.rpm
glibc-devel-2.12-1.132.el6_5.9.x86_64.rpm
glibc-headers-2.12-1.132.el6_5.9.x86_64.rpm
glibc-utils-2.12-1.132.el6_5.9.x86_64.rpm
nscd-2.12-1.132.el6_5.9.x86_64.rpm

Red Hat Enterprise Linux Server AUS (v. 6.6):

Source:
glibc-2.12-1.149.el6_6.12.src.rpm

x86_64:
glibc-2.12-1.149.el6_6.12.i686.rpm
glibc-2.12-1.149.el6_6.12.x86_64.rpm
glibc-common-2.12-1.149.el6_6.12.x86_64.rpm
glibc-debuginfo-2.12-1.149.el6_6.12.i686.rpm
glibc-debuginfo-2.12-1.149.el6_6.12.x86_64.rpm
glibc-debuginfo-common-2.12-1.149.el6_6.12.i686.rpm
glibc-debuginfo-common-2.12-1.149.el6_6.12.x86_64.rpm
glibc-devel-2.12-1.149.el6_6.12.i686.rpm
glibc-devel-2.12-1.149.el6_6.12.x86_64.rpm
glibc-headers-2.12-1.149.el6_6.12.x86_64.rpm
glibc-utils-2.12-1.149.el6_6.12.x86_64.rpm
nscd-2.12-1.149.el6_6.12.x86_64.rpm

Red Hat Enterprise Linux Server TUS (v. 6.6):

Source:
glibc-2.12-1.149.el6_6.12.src.rpm

x86_64:
glibc-2.12-1.149.el6_6.12.i686.rpm
glibc-2.12-1.149.el6_6.12.x86_64.rpm
glibc-common-2.12-1.149.el6_6.12.x86_64.rpm
glibc-debuginfo-2.12-1.149.el6_6.12.i686.rpm
glibc-debuginfo-2.12-1.149.el6_6.12.x86_64.rpm
glibc-debuginfo-common-2.12-1.149.el6_6.12.i686.rpm
glibc-debuginfo-common-2.12-1.149.el6_6.12.x86_64.rpm
glibc-devel-2.12-1.149.el6_6.12.i686.rpm
glibc-devel-2.12-1.149.el6_6.12.x86_64.rpm
glibc-headers-2.12-1.149.el6_6.12.x86_64.rpm
glibc-utils-2.12-1.149.el6_6.12.x86_64.rpm
nscd-2.12-1.149.el6_6.12.x86_64.rpm

Red Hat Enterprise Linux Server EUS (v. 6.7):

Source:
glibc-2.12-1.166.el6_7.8.src.rpm

i386:
glibc-2.12-1.166.el6_7.8.i686.rpm
glibc-common-2.12-1.166.el6_7.8.i686.rpm
glibc-debuginfo-2.12-1.166.el6_7.8.i686.rpm
glibc-debuginfo-common-2.12-1.166.el6_7.8.i686.rpm
glibc-devel-2.12-1.166.el6_7.8.i686.rpm
glibc-headers-2.12-1.166.el6_7.8.i686.rpm
glibc-utils-2.12-1.166.el6_7.8.i686.rpm
nscd-2.12-1.166.el6_7.8.i686.rpm

ppc64:
glibc-2.12-1.166.el6_7.8.ppc.rpm
glibc-2.12-1.166.el6_7.8.ppc64.rpm
glibc-common-2.12-1.166.el6_7.8.ppc64.rpm
glibc-debuginfo-2.12-1.166.el6_7.8.ppc.rpm
glibc-debuginfo-2.12-1.166.el6_7.8.ppc64.rpm
glibc-debuginfo-common-2.12-1.166.el6_7.8.ppc.rpm
glibc-debuginfo-common-2.12-1.166.el6_7.8.ppc64.rpm
glibc-devel-2.12-1.166.el6_7.8.ppc.rpm
glibc-devel-2.12-1.166.el6_7.8.ppc64.rpm
glibc-headers-2.12-1.166.el6_7.8.ppc64.rpm
glibc-utils-2.12-1.166.el6_7.8.ppc64.rpm
nscd-2.12-1.166.el6_7.8.ppc64.rpm

s390x:
glibc-2.12-1.166.el6_7.8.s390.rpm
glibc-2.12-1.166.el6_7.8.s390x.rpm
glibc-common-2.12-1.166.el6_7.8.s390x.rpm
glibc-debuginfo-2.12-1.166.el6_7.8.s390.rpm
glibc-debuginfo-2.12-1.166.el6_7.8.s390x.rpm
glibc-debuginfo-common-2.12-1.166.el6_7.8.s390.rpm
glibc-debuginfo-common-2.12-1.166.el6_7.8.s390x.rpm
glibc-devel-2.12-1.166.el6_7.8.s390.rpm
glibc-devel-2.12-1.166.el6_7.8.s390x.rpm
glibc-headers-2.12-1.166.el6_7.8.s390x.rpm
glibc-utils-2.12-1.166.el6_7.8.s390x.rpm
nscd-2.12-1.166.el6_7.8.s390x.rpm

x86_64:
glibc-2.12-1.166.el6_7.8.i686.rpm
glibc-2.12-1.166.el6_7.8.x86_64.rpm
glibc-common-2.12-1.166.el6_7.8.x86_64.rpm
glibc-debuginfo-2.12-1.166.el6_7.8.i686.rpm
glibc-debuginfo-2.12-1.166.el6_7.8.x86_64.rpm
glibc-debuginfo-common-2.12-1.166.el6_7.8.i686.rpm
glibc-debuginfo-common-2.12-1.166.el6_7.8.x86_64.rpm
glibc-devel-2.12-1.166.el6_7.8.i686.rpm
glibc-devel-2.12-1.166.el6_7.8.x86_64.rpm
glibc-headers-2.12-1.166.el6_7.8.x86_64.rpm
glibc-utils-2.12-1.166.el6_7.8.x86_64.rpm
nscd-2.12-1.166.el6_7.8.x86_64.rpm

Red Hat Enterprise Linux Server Optional AUS (v. 6.2):

Source:
glibc-2.12-1.47.el6_2.18.src.rpm

x86_64:
glibc-debuginfo-2.12-1.47.el6_2.18.i686.rpm
glibc-debuginfo-2.12-1.47.el6_2.18.x86_64.rpm
glibc-debuginfo-common-2.12-1.47.el6_2.18.i686.rpm
glibc-debuginfo-common-2.12-1.47.el6_2.18.x86_64.rpm
glibc-static-2.12-1.47.el6_2.18.i686.rpm
glibc-static-2.12-1.47.el6_2.18.x86_64.rpm

Red Hat Enterprise Linux Server Optional AUS (v. 6.4):

Source:
glibc-2.12-1.107.el6_4.10.src.rpm

x86_64:
glibc-debuginfo-2.12-1.107.el6_4.10.i686.rpm
glibc-debuginfo-2.12-1.107.el6_4.10.x86_64.rpm
glibc-debuginfo-common-2.12-1.107.el6_4.10.i686.rpm
glibc-debuginfo-common-2.12-1.107.el6_4.10.x86_64.rpm
glibc-static-2.12-1.107.el6_4.10.i686.rpm
glibc-static-2.12-1.107.el6_4.10.x86_64.rpm

Red Hat Enterprise Linux Server Optional AUS (v. 6.5):

Source:
glibc-2.12-1.132.el6_5.9.src.rpm

x86_64:
glibc-debuginfo-2.12-1.132.el6_5.9.i686.rpm
glibc-debuginfo-2.12-1.132.el6_5.9.x86_64.rpm
glibc-debuginfo-common-2.12-1.132.el6_5.9.i686.rpm
glibc-debuginfo-common-2.12-1.132.el6_5.9.x86_64.rpm
glibc-static-2.12-1.132.el6_5.9.i686.rpm
glibc-static-2.12-1.132.el6_5.9.x86_64.rpm

Red Hat Enterprise Linux Server Optional TUS (v. 6.5):

Source:
glibc-2.12-1.132.el6_5.9.src.rpm

x86_64:
glibc-debuginfo-2.12-1.132.el6_5.9.i686.rpm
glibc-debuginfo-2.12-1.132.el6_5.9.x86_64.rpm
glibc-debuginfo-common-2.12-1.132.el6_5.9.i686.rpm
glibc-debuginfo-common-2.12-1.132.el6_5.9.x86_64.rpm
glibc-static-2.12-1.132.el6_5.9.i686.rpm
glibc-static-2.12-1.132.el6_5.9.x86_64.rpm

Red Hat Enterprise Linux Server Optional AUS (v. 6.6):

x86_64:
glibc-debuginfo-2.12-1.149.el6_6.12.i686.rpm
glibc-debuginfo-2.12-1.149.el6_6.12.x86_64.rpm
glibc-debuginfo-common-2.12-1.149.el6_6.12.i686.rpm
glibc-debuginfo-common-2.12-1.149.el6_6.12.x86_64.rpm
glibc-static-2.12-1.149.el6_6.12.i686.rpm
glibc-static-2.12-1.149.el6_6.12.x86_64.rpm

Red Hat Enterprise Linux Server Optional TUS (v. 6.6):

x86_64:
glibc-debuginfo-2.12-1.149.el6_6.12.i686.rpm
glibc-debuginfo-2.12-1.149.el6_6.12.x86_64.rpm
glibc-debuginfo-common-2.12-1.149.el6_6.12.i686.rpm
glibc-debuginfo-common-2.12-1.149.el6_6.12.x86_64.rpm
glibc-static-2.12-1.149.el6_6.12.i686.rpm
glibc-static-2.12-1.149.el6_6.12.x86_64.rpm

Red Hat Enterprise Linux Server Optional EUS (v. 6.7):

i386:
glibc-debuginfo-2.12-1.166.el6_7.8.i686.rpm
glibc-debuginfo-common-2.12-1.166.el6_7.8.i686.rpm
glibc-static-2.12-1.166.el6_7.8.i686.rpm

ppc64:
glibc-debuginfo-2.12-1.166.el6_7.8.ppc.rpm
glibc-debuginfo-2.12-1.166.el6_7.8.ppc64.rpm
glibc-debuginfo-common-2.12-1.166.el6_7.8.ppc.rpm
glibc-debuginfo-common-2.12-1.166.el6_7.8.ppc64.rpm
glibc-static-2.12-1.166.el6_7.8.ppc.rpm
glibc-static-2.12-1.166.el6_7.8.ppc64.rpm

s390x:
glibc-debuginfo-2.12-1.166.el6_7.8.s390.rpm
glibc-debuginfo-2.12-1.166.el6_7.8.s390x.rpm
glibc-debuginfo-common-2.12-1.166.el6_7.8.s390.rpm
glibc-debuginfo-common-2.12-1.166.el6_7.8.s390x.rpm
glibc-static-2.12-1.166.el6_7.8.s390.rpm
glibc-static-2.12-1.166.el6_7.8.s390x.rpm

x86_64:
glibc-debuginfo-2.12-1.166.el6_7.8.i686.rpm
glibc-debuginfo-2.12-1.166.el6_7.8.x86_64.rpm
glibc-debuginfo-common-2.12-1.166.el6_7.8.i686.rpm
glibc-debuginfo-common-2.12-1.166.el6_7.8.x86_64.rpm
glibc-static-2.12-1.166.el6_7.8.i686.rpm
glibc-static-2.12-1.166.el6_7.8.x86_64.rpm

Red Hat Enterprise Linux ComputeNode EUS (v. 7.2):

Source:
glibc-2.17-106.el7_2.9.src.rpm

x86_64:
glibc-2.17-106.el7_2.9.i686.rpm
glibc-2.17-106.el7_2.9.x86_64.rpm
glibc-common-2.17-106.el7_2.9.x86_64.rpm
glibc-debuginfo-2.17-106.el7_2.9.i686.rpm
glibc-debuginfo-2.17-106.el7_2.9.x86_64.rpm
glibc-debuginfo-common-2.17-106.el7_2.9.i686.rpm
glibc-debuginfo-common-2.17-106.el7_2.9.x86_64.rpm
glibc-devel-2.17-106.el7_2.9.i686.rpm
glibc-devel-2.17-106.el7_2.9.x86_64.rpm
glibc-headers-2.17-106.el7_2.9.x86_64.rpm
glibc-utils-2.17-106.el7_2.9.x86_64.rpm
nscd-2.17-106.el7_2.9.x86_64.rpm

Red Hat Enterprise Linux ComputeNode Optional EUS (v. 7.2):

x86_64:
glibc-debuginfo-2.17-106.el7_2.9.i686.rpm
glibc-debuginfo-2.17-106.el7_2.9.x86_64.rpm
glibc-debuginfo-common-2.17-106.el7_2.9.i686.rpm
glibc-debuginfo-common-2.17-106.el7_2.9.x86_64.rpm
glibc-static-2.17-106.el7_2.9.i686.rpm
glibc-static-2.17-106.el7_2.9.x86_64.rpm

Red Hat Enterprise Linux Server EUS (v. 7.2):

Source:
glibc-2.17-106.el7_2.9.src.rpm

ppc64:
glibc-2.17-106.el7_2.9.ppc.rpm
glibc-2.17-106.el7_2.9.ppc64.rpm
glibc-common-2.17-106.el7_2.9.ppc64.rpm
glibc-debuginfo-2.17-106.el7_2.9.ppc.rpm
glibc-debuginfo-2.17-106.el7_2.9.ppc64.rpm
glibc-debuginfo-common-2.17-106.el7_2.9.ppc.rpm
glibc-debuginfo-common-2.17-106.el7_2.9.ppc64.rpm
glibc-devel-2.17-106.el7_2.9.ppc.rpm
glibc-devel-2.17-106.el7_2.9.ppc64.rpm
glibc-headers-2.17-106.el7_2.9.ppc64.rpm
glibc-utils-2.17-106.el7_2.9.ppc64.rpm
nscd-2.17-106.el7_2.9.ppc64.rpm

ppc64le:
glibc-2.17-106.el7_2.9.ppc64le.rpm
glibc-common-2.17-106.el7_2.9.ppc64le.rpm
glibc-debuginfo-2.17-106.el7_2.9.ppc64le.rpm
glibc-debuginfo-common-2.17-106.el7_2.9.ppc64le.rpm
glibc-devel-2.17-106.el7_2.9.ppc64le.rpm
glibc-headers-2.17-106.el7_2.9.ppc64le.rpm
glibc-utils-2.17-106.el7_2.9.ppc64le.rpm
nscd-2.17-106.el7_2.9.ppc64le.rpm

s390x:
glibc-2.17-106.el7_2.9.s390.rpm
glibc-2.17-106.el7_2.9.s390x.rpm
glibc-common-2.17-106.el7_2.9.s390x.rpm
glibc-debuginfo-2.17-106.el7_2.9.s390.rpm
glibc-debuginfo-2.17-106.el7_2.9.s390x.rpm
glibc-debuginfo-common-2.17-106.el7_2.9.s390.rpm
glibc-debuginfo-common-2.17-106.el7_2.9.s390x.rpm
glibc-devel-2.17-106.el7_2.9.s390.rpm
glibc-devel-2.17-106.el7_2.9.s390x.rpm
glibc-headers-2.17-106.el7_2.9.s390x.rpm
glibc-utils-2.17-106.el7_2.9.s390x.rpm
nscd-2.17-106.el7_2.9.s390x.rpm

x86_64:
glibc-2.17-106.el7_2.9.i686.rpm
glibc-2.17-106.el7_2.9.x86_64.rpm
glibc-common-2.17-106.el7_2.9.x86_64.rpm
glibc-debuginfo-2.17-106.el7_2.9.i686.rpm
glibc-debuginfo-2.17-106.el7_2.9.x86_64.rpm
glibc-debuginfo-common-2.17-106.el7_2.9.i686.rpm
glibc-debuginfo-common-2.17-106.el7_2.9.x86_64.rpm
glibc-devel-2.17-106.el7_2.9.i686.rpm
glibc-devel-2.17-106.el7_2.9.x86_64.rpm
glibc-headers-2.17-106.el7_2.9.x86_64.rpm
glibc-utils-2.17-106.el7_2.9.x86_64.rpm
nscd-2.17-106.el7_2.9.x86_64.rpm

Red Hat Enterprise Linux Server Optional EUS (v. 7.2):

ppc64:
glibc-debuginfo-2.17-106.el7_2.9.ppc.rpm
glibc-debuginfo-2.17-106.el7_2.9.ppc64.rpm
glibc-debuginfo-common-2.17-106.el7_2.9.ppc.rpm
glibc-debuginfo-common-2.17-106.el7_2.9.ppc64.rpm
glibc-static-2.17-106.el7_2.9.ppc.rpm
glibc-static-2.17-106.el7_2.9.ppc64.rpm

ppc64le:
glibc-debuginfo-2.17-106.el7_2.9.ppc64le.rpm
glibc-debuginfo-common-2.17-106.el7_2.9.ppc64le.rpm
glibc-static-2.17-106.el7_2.9.ppc64le.rpm

s390x:
glibc-debuginfo-2.17-106.el7_2.9.s390.rpm
glibc-debuginfo-2.17-106.el7_2.9.s390x.rpm
glibc-debuginfo-common-2.17-106.el7_2.9.s390.rpm
glibc-debuginfo-common-2.17-106.el7_2.9.s390x.rpm
glibc-static-2.17-106.el7_2.9.s390.rpm
glibc-static-2.17-106.el7_2.9.s390x.rpm

x86_64:
glibc-debuginfo-2.17-106.el7_2.9.i686.rpm
glibc-debuginfo-2.17-106.el7_2.9.x86_64.rpm
glibc-debuginfo-common-2.17-106.el7_2.9.i686.rpm
glibc-debuginfo-common-2.17-106.el7_2.9.x86_64.rpm
glibc-static-2.17-106.el7_2.9.i686.rpm
glibc-static-2.17-106.el7_2.9.x86_64.rpm

These packages are GPG signed by Red Hat for security.  Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2017-1000366
https://access.redhat.com/security/updates/classification/#important
https://access.redhat.com/security/vulnerabilities/stackguard

8. Contact:

The Red Hat security contact is . More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2017 Red Hat, Inc.

____________________________________________________________________

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Important: glibc security update
Advisory ID:       RHSA-2017:1480-01
Product:           Red Hat Enterprise Linux
Advisory URL:      https://access.redhat.com/errata/RHSA-2017:1480
Issue date:        2017-06-19
CVE Names:         CVE-2017-1000366
=====================================================================

1. Summary:

An update for glibc is now available for Red Hat Enterprise Linux 6.

Red Hat Product Security has rated this update as having a security
impact of Important. A Common Vulnerability Scoring System (CVSS) base
score, which gives a detailed severity rating, is available for each
vulnerability from the CVE link(s) in the References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux Desktop (v. 6) - i386, x86_64
Red Hat Enterprise Linux Desktop Optional (v. 6) - i386, x86_64
Red Hat Enterprise Linux HPC Node (v. 6) - x86_64
Red Hat Enterprise Linux HPC Node Optional (v. 6) - x86_64
Red Hat Enterprise Linux Server (v. 6) - i386, ppc64, s390x, x86_64
Red Hat Enterprise Linux Server Optional (v. 6) - i386, ppc64, s390x, x86_64
Red Hat Enterprise Linux Workstation (v. 6) - i386, x86_64
Red Hat Enterprise Linux Workstation Optional (v. 6) - i386, x86_64

3. Description:

The glibc packages provide the standard C libraries (libc), POSIX thread
libraries (libpthread), standard math libraries (libm), and the name
service cache daemon (nscd) used by multiple programs on the system.
Without these libraries, the Linux system cannot function correctly.

Security Fix(es):

* A flaw was found in the way memory was being allocated on the stack
for user space binaries. If heap (or different memory region) and stack
memory regions were adjacent to each other, an attacker could use this
flaw to jump over the stack guard gap, cause controlled memory
corruption on process stack or the adjacent memory region, and thus
increase their privileges on the system. This is glibc-side mitigation
which blocks processing of LD_LIBRARY_PATH for programs running in
secure-execution mode and reduces the number of allocations performed
by the processing of LD_AUDIT, LD_PRELOAD, and LD_HWCAP_MASK, making
successful exploitation of this issue more difficult. (CVE-2017-1000366)

Red Hat would like to thank Qualys Research Labs for reporting this
issue.

4. Solution:

For details on how to apply this update, which includes the changes
described in this advisory, refer to:

https://access.redhat.com/articles/11258

For the update to take effect, all services linked to the glibc library
must be restarted, or the system rebooted.

5. Bugs fixed (https://bugzilla.redhat.com/):

1452543 - CVE-2017-1000366 glibc: heap/stack gap jumping via unbounded
stack allocations

6. Package List:

Red Hat Enterprise Linux Desktop (v. 6):

Source:
glibc-2.12-1.209.el6_9.2.src.rpm

i386:
glibc-2.12-1.209.el6_9.2.i686.rpm
glibc-common-2.12-1.209.el6_9.2.i686.rpm
glibc-debuginfo-2.12-1.209.el6_9.2.i686.rpm
glibc-debuginfo-common-2.12-1.209.el6_9.2.i686.rpm
glibc-devel-2.12-1.209.el6_9.2.i686.rpm
glibc-headers-2.12-1.209.el6_9.2.i686.rpm
glibc-utils-2.12-1.209.el6_9.2.i686.rpm
nscd-2.12-1.209.el6_9.2.i686.rpm

x86_64:
glibc-2.12-1.209.el6_9.2.i686.rpm
glibc-2.12-1.209.el6_9.2.x86_64.rpm
glibc-common-2.12-1.209.el6_9.2.x86_64.rpm
glibc-debuginfo-2.12-1.209.el6_9.2.i686.rpm
glibc-debuginfo-2.12-1.209.el6_9.2.x86_64.rpm
glibc-debuginfo-common-2.12-1.209.el6_9.2.i686.rpm
glibc-debuginfo-common-2.12-1.209.el6_9.2.x86_64.rpm
glibc-devel-2.12-1.209.el6_9.2.i686.rpm
glibc-devel-2.12-1.209.el6_9.2.x86_64.rpm
glibc-headers-2.12-1.209.el6_9.2.x86_64.rpm
glibc-utils-2.12-1.209.el6_9.2.x86_64.rpm
nscd-2.12-1.209.el6_9.2.x86_64.rpm

Red Hat Enterprise Linux Desktop Optional (v. 6):

i386:
glibc-debuginfo-2.12-1.209.el6_9.2.i686.rpm
glibc-debuginfo-common-2.12-1.209.el6_9.2.i686.rpm
glibc-static-2.12-1.209.el6_9.2.i686.rpm

x86_64:
glibc-debuginfo-2.12-1.209.el6_9.2.i686.rpm
glibc-debuginfo-2.12-1.209.el6_9.2.x86_64.rpm
glibc-debuginfo-common-2.12-1.209.el6_9.2.i686.rpm
glibc-debuginfo-common-2.12-1.209.el6_9.2.x86_64.rpm
glibc-static-2.12-1.209.el6_9.2.i686.rpm
glibc-static-2.12-1.209.el6_9.2.x86_64.rpm

Red Hat Enterprise Linux HPC Node (v. 6):

Source:
glibc-2.12-1.209.el6_9.2.src.rpm

x86_64:
glibc-2.12-1.209.el6_9.2.i686.rpm
glibc-2.12-1.209.el6_9.2.x86_64.rpm
glibc-common-2.12-1.209.el6_9.2.x86_64.rpm
glibc-debuginfo-2.12-1.209.el6_9.2.i686.rpm
glibc-debuginfo-2.12-1.209.el6_9.2.x86_64.rpm
glibc-debuginfo-common-2.12-1.209.el6_9.2.i686.rpm
glibc-debuginfo-common-2.12-1.209.el6_9.2.x86_64.rpm
glibc-devel-2.12-1.209.el6_9.2.i686.rpm
glibc-devel-2.12-1.209.el6_9.2.x86_64.rpm
glibc-headers-2.12-1.209.el6_9.2.x86_64.rpm
glibc-utils-2.12-1.209.el6_9.2.x86_64.rpm
nscd-2.12-1.209.el6_9.2.x86_64.rpm

Red Hat Enterprise Linux HPC Node Optional (v. 6):

x86_64:
glibc-debuginfo-2.12-1.209.el6_9.2.i686.rpm
glibc-debuginfo-2.12-1.209.el6_9.2.x86_64.rpm
glibc-debuginfo-common-2.12-1.209.el6_9.2.i686.rpm
glibc-debuginfo-common-2.12-1.209.el6_9.2.x86_64.rpm
glibc-static-2.12-1.209.el6_9.2.i686.rpm
glibc-static-2.12-1.209.el6_9.2.x86_64.rpm

Red Hat Enterprise Linux Server (v. 6):

Source:
glibc-2.12-1.209.el6_9.2.src.rpm

i386:
glibc-2.12-1.209.el6_9.2.i686.rpm
glibc-common-2.12-1.209.el6_9.2.i686.rpm
glibc-debuginfo-2.12-1.209.el6_9.2.i686.rpm
glibc-debuginfo-common-2.12-1.209.el6_9.2.i686.rpm
glibc-devel-2.12-1.209.el6_9.2.i686.rpm
glibc-headers-2.12-1.209.el6_9.2.i686.rpm
glibc-utils-2.12-1.209.el6_9.2.i686.rpm
nscd-2.12-1.209.el6_9.2.i686.rpm

ppc64:
glibc-2.12-1.209.el6_9.2.ppc.rpm
glibc-2.12-1.209.el6_9.2.ppc64.rpm
glibc-common-2.12-1.209.el6_9.2.ppc64.rpm
glibc-debuginfo-2.12-1.209.el6_9.2.ppc.rpm
glibc-debuginfo-2.12-1.209.el6_9.2.ppc64.rpm
glibc-debuginfo-common-2.12-1.209.el6_9.2.ppc.rpm
glibc-debuginfo-common-2.12-1.209.el6_9.2.ppc64.rpm
glibc-devel-2.12-1.209.el6_9.2.ppc.rpm
glibc-devel-2.12-1.209.el6_9.2.ppc64.rpm
glibc-headers-2.12-1.209.el6_9.2.ppc64.rpm
glibc-utils-2.12-1.209.el6_9.2.ppc64.rpm
nscd-2.12-1.209.el6_9.2.ppc64.rpm

s390x:
glibc-2.12-1.209.el6_9.2.s390.rpm
glibc-2.12-1.209.el6_9.2.s390x.rpm
glibc-common-2.12-1.209.el6_9.2.s390x.rpm
glibc-debuginfo-2.12-1.209.el6_9.2.s390.rpm
glibc-debuginfo-2.12-1.209.el6_9.2.s390x.rpm
glibc-debuginfo-common-2.12-1.209.el6_9.2.s390.rpm
glibc-debuginfo-common-2.12-1.209.el6_9.2.s390x.rpm
glibc-devel-2.12-1.209.el6_9.2.s390.rpm
glibc-devel-2.12-1.209.el6_9.2.s390x.rpm
glibc-headers-2.12-1.209.el6_9.2.s390x.rpm
glibc-utils-2.12-1.209.el6_9.2.s390x.rpm
nscd-2.12-1.209.el6_9.2.s390x.rpm

x86_64:
glibc-2.12-1.209.el6_9.2.i686.rpm
glibc-2.12-1.209.el6_9.2.x86_64.rpm
glibc-common-2.12-1.209.el6_9.2.x86_64.rpm
glibc-debuginfo-2.12-1.209.el6_9.2.i686.rpm
glibc-debuginfo-2.12-1.209.el6_9.2.x86_64.rpm
glibc-debuginfo-common-2.12-1.209.el6_9.2.i686.rpm
glibc-debuginfo-common-2.12-1.209.el6_9.2.x86_64.rpm
glibc-devel-2.12-1.209.el6_9.2.i686.rpm
glibc-devel-2.12-1.209.el6_9.2.x86_64.rpm
glibc-headers-2.12-1.209.el6_9.2.x86_64.rpm
glibc-utils-2.12-1.209.el6_9.2.x86_64.rpm
nscd-2.12-1.209.el6_9.2.x86_64.rpm

Red Hat Enterprise Linux Server Optional (v. 6):

i386:
glibc-debuginfo-2.12-1.209.el6_9.2.i686.rpm
glibc-debuginfo-common-2.12-1.209.el6_9.2.i686.rpm
glibc-static-2.12-1.209.el6_9.2.i686.rpm

ppc64:
glibc-debuginfo-2.12-1.209.el6_9.2.ppc.rpm
glibc-debuginfo-2.12-1.209.el6_9.2.ppc64.rpm
glibc-debuginfo-common-2.12-1.209.el6_9.2.ppc.rpm
glibc-debuginfo-common-2.12-1.209.el6_9.2.ppc64.rpm
glibc-static-2.12-1.209.el6_9.2.ppc.rpm
glibc-static-2.12-1.209.el6_9.2.ppc64.rpm

s390x:
glibc-debuginfo-2.12-1.209.el6_9.2.s390.rpm
glibc-debuginfo-2.12-1.209.el6_9.2.s390x.rpm
glibc-debuginfo-common-2.12-1.209.el6_9.2.s390.rpm
glibc-debuginfo-common-2.12-1.209.el6_9.2.s390x.rpm
glibc-static-2.12-1.209.el6_9.2.s390.rpm
glibc-static-2.12-1.209.el6_9.2.s390x.rpm

x86_64:
glibc-debuginfo-2.12-1.209.el6_9.2.i686.rpm
glibc-debuginfo-2.12-1.209.el6_9.2.x86_64.rpm
glibc-debuginfo-common-2.12-1.209.el6_9.2.i686.rpm
glibc-debuginfo-common-2.12-1.209.el6_9.2.x86_64.rpm
glibc-static-2.12-1.209.el6_9.2.i686.rpm
glibc-static-2.12-1.209.el6_9.2.x86_64.rpm

Red Hat Enterprise Linux Workstation (v. 6):

Source:
glibc-2.12-1.209.el6_9.2.src.rpm

i386:
glibc-2.12-1.209.el6_9.2.i686.rpm
glibc-common-2.12-1.209.el6_9.2.i686.rpm
glibc-debuginfo-2.12-1.209.el6_9.2.i686.rpm
glibc-debuginfo-common-2.12-1.209.el6_9.2.i686.rpm
glibc-devel-2.12-1.209.el6_9.2.i686.rpm
glibc-headers-2.12-1.209.el6_9.2.i686.rpm
glibc-utils-2.12-1.209.el6_9.2.i686.rpm
nscd-2.12-1.209.el6_9.2.i686.rpm

x86_64:
glibc-2.12-1.209.el6_9.2.i686.rpm
glibc-2.12-1.209.el6_9.2.x86_64.rpm
glibc-common-2.12-1.209.el6_9.2.x86_64.rpm
glibc-debuginfo-2.12-1.209.el6_9.2.i686.rpm
glibc-debuginfo-2.12-1.209.el6_9.2.x86_64.rpm
glibc-debuginfo-common-2.12-1.209.el6_9.2.i686.rpm
glibc-debuginfo-common-2.12-1.209.el6_9.2.x86_64.rpm
glibc-devel-2.12-1.209.el6_9.2.i686.rpm
glibc-devel-2.12-1.209.el6_9.2.x86_64.rpm
glibc-headers-2.12-1.209.el6_9.2.x86_64.rpm
glibc-utils-2.12-1.209.el6_9.2.x86_64.rpm
nscd-2.12-1.209.el6_9.2.x86_64.rpm

Red Hat Enterprise Linux Workstation Optional (v. 6):

i386:
glibc-debuginfo-2.12-1.209.el6_9.2.i686.rpm
glibc-debuginfo-common-2.12-1.209.el6_9.2.i686.rpm
glibc-static-2.12-1.209.el6_9.2.i686.rpm

x86_64:
glibc-debuginfo-2.12-1.209.el6_9.2.i686.rpm
glibc-debuginfo-2.12-1.209.el6_9.2.x86_64.rpm
glibc-debuginfo-common-2.12-1.209.el6_9.2.i686.rpm
glibc-debuginfo-common-2.12-1.209.el6_9.2.x86_64.rpm
glibc-static-2.12-1.209.el6_9.2.i686.rpm
glibc-static-2.12-1.209.el6_9.2.x86_64.rpm

These packages are GPG signed by Red Hat for security.  Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2017-1000366
https://access.redhat.com/security/updates/classification/#important
https://access.redhat.com/security/vulnerabilities/stackguard

8. Contact:

The Red Hat security contact is . More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2017 Red Hat, Inc.

____________________________________________________________________

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Important: glibc security update
Advisory ID:       RHSA-2017:1481-01
Product:           Red Hat Enterprise Linux
Advisory URL:      https://access.redhat.com/errata/RHSA-2017:1481
Issue date:        2017-06-19
CVE Names:         CVE-2017-1000366
=====================================================================

1. Summary:

An update for glibc is now available for Red Hat Enterprise Linux 7.

Red Hat Product Security has rated this update as having a security
impact of Important. A Common Vulnerability Scoring System (CVSS) base
score, which gives a detailed severity rating, is available for each
vulnerability from the CVE link(s) in the References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux Client (v. 7) - x86_64
Red Hat Enterprise Linux Client Optional (v. 7) - x86_64
Red Hat Enterprise Linux ComputeNode (v. 7) - x86_64
Red Hat Enterprise Linux ComputeNode Optional (v. 7) - x86_64
Red Hat Enterprise Linux Server (v. 7) - aarch64, ppc64, ppc64le, s390x,
x86_64
Red Hat Enterprise Linux Server Optional (v. 7) - aarch64, ppc64,
ppc64le, s390x, x86_64
Red Hat Enterprise Linux Workstation (v. 7) - x86_64
Red Hat Enterprise Linux Workstation Optional (v. 7) - x86_64

3. Description:

The glibc packages provide the standard C libraries (libc), POSIX thread
libraries (libpthread), standard math libraries (libm), and the name
service cache daemon (nscd) used by multiple programs on the system.
Without these libraries, the Linux system cannot function correctly.

Security Fix(es):

* A flaw was found in the way memory was being allocated on the stack
for user space binaries. If heap (or different memory region) and stack
memory regions were adjacent to each other, an attacker could use this
flaw to jump over the stack guard gap, cause controlled memory
corruption on process stack or the adjacent memory region, and thus
increase their privileges on the system. This is glibc-side mitigation
which blocks processing of LD_LIBRARY_PATH for programs running in
secure-execution mode and reduces the number of allocations performed
by the processing of LD_AUDIT, LD_PRELOAD, and LD_HWCAP_MASK, making
successful exploitation of this issue more difficult. (CVE-2017-1000366)

Red Hat would like to thank Qualys Research Labs for reporting this
issue.

4. Solution:

For details on how to apply this update, which includes the changes
described in this advisory, refer to:

https://access.redhat.com/articles/11258

For the update to take effect, all services linked to the glibc library
must be restarted, or the system rebooted.

5. Bugs fixed (https://bugzilla.redhat.com/):

1452543 - CVE-2017-1000366 glibc: heap/stack gap jumping via unbounded
stack allocations

6. Package List:

Red Hat Enterprise Linux Client (v. 7):

Source:
glibc-2.17-157.el7_3.4.src.rpm

x86_64:
glibc-2.17-157.el7_3.4.i686.rpm
glibc-2.17-157.el7_3.4.x86_64.rpm
glibc-common-2.17-157.el7_3.4.x86_64.rpm
glibc-debuginfo-2.17-157.el7_3.4.i686.rpm
glibc-debuginfo-2.17-157.el7_3.4.x86_64.rpm
glibc-debuginfo-common-2.17-157.el7_3.4.i686.rpm
glibc-debuginfo-common-2.17-157.el7_3.4.x86_64.rpm
glibc-devel-2.17-157.el7_3.4.i686.rpm
glibc-devel-2.17-157.el7_3.4.x86_64.rpm
glibc-headers-2.17-157.el7_3.4.x86_64.rpm
glibc-utils-2.17-157.el7_3.4.x86_64.rpm
nscd-2.17-157.el7_3.4.x86_64.rpm

Red Hat Enterprise Linux Client Optional (v. 7):

x86_64:
glibc-debuginfo-2.17-157.el7_3.4.i686.rpm
glibc-debuginfo-2.17-157.el7_3.4.x86_64.rpm
glibc-debuginfo-common-2.17-157.el7_3.4.i686.rpm
glibc-debuginfo-common-2.17-157.el7_3.4.x86_64.rpm
glibc-static-2.17-157.el7_3.4.i686.rpm
glibc-static-2.17-157.el7_3.4.x86_64.rpm

Red Hat Enterprise Linux ComputeNode (v. 7):

Source:
glibc-2.17-157.el7_3.4.src.rpm

x86_64:
glibc-2.17-157.el7_3.4.i686.rpm
glibc-2.17-157.el7_3.4.x86_64.rpm
glibc-common-2.17-157.el7_3.4.x86_64.rpm
glibc-debuginfo-2.17-157.el7_3.4.i686.rpm
glibc-debuginfo-2.17-157.el7_3.4.x86_64.rpm
glibc-debuginfo-common-2.17-157.el7_3.4.i686.rpm
glibc-debuginfo-common-2.17-157.el7_3.4.x86_64.rpm
glibc-devel-2.17-157.el7_3.4.i686.rpm
glibc-devel-2.17-157.el7_3.4.x86_64.rpm
glibc-headers-2.17-157.el7_3.4.x86_64.rpm
glibc-utils-2.17-157.el7_3.4.x86_64.rpm
nscd-2.17-157.el7_3.4.x86_64.rpm

Red Hat Enterprise Linux ComputeNode Optional (v. 7):

x86_64:
glibc-debuginfo-2.17-157.el7_3.4.i686.rpm
glibc-debuginfo-2.17-157.el7_3.4.x86_64.rpm
glibc-debuginfo-common-2.17-157.el7_3.4.i686.rpm
glibc-debuginfo-common-2.17-157.el7_3.4.x86_64.rpm
glibc-static-2.17-157.el7_3.4.i686.rpm
glibc-static-2.17-157.el7_3.4.x86_64.rpm

Red Hat Enterprise Linux Server (v. 7):

Source:
glibc-2.17-157.el7_3.4.src.rpm

aarch64:
glibc-2.17-157.el7_3.4.aarch64.rpm
glibc-common-2.17-157.el7_3.4.aarch64.rpm
glibc-debuginfo-2.17-157.el7_3.4.aarch64.rpm
glibc-devel-2.17-157.el7_3.4.aarch64.rpm
glibc-headers-2.17-157.el7_3.4.aarch64.rpm
glibc-utils-2.17-157.el7_3.4.aarch64.rpm
nscd-2.17-157.el7_3.4.aarch64.rpm

ppc64:
glibc-2.17-157.el7_3.4.ppc.rpm
glibc-2.17-157.el7_3.4.ppc64.rpm
glibc-common-2.17-157.el7_3.4.ppc64.rpm
glibc-debuginfo-2.17-157.el7_3.4.ppc.rpm
glibc-debuginfo-2.17-157.el7_3.4.ppc64.rpm
glibc-debuginfo-common-2.17-157.el7_3.4.ppc.rpm
glibc-debuginfo-common-2.17-157.el7_3.4.ppc64.rpm
glibc-devel-2.17-157.el7_3.4.ppc.rpm
glibc-devel-2.17-157.el7_3.4.ppc64.rpm
glibc-headers-2.17-157.el7_3.4.ppc64.rpm
glibc-utils-2.17-157.el7_3.4.ppc64.rpm
nscd-2.17-157.el7_3.4.ppc64.rpm

ppc64le:
glibc-2.17-157.el7_3.4.ppc64le.rpm
glibc-common-2.17-157.el7_3.4.ppc64le.rpm
glibc-debuginfo-2.17-157.el7_3.4.ppc64le.rpm
glibc-debuginfo-common-2.17-157.el7_3.4.ppc64le.rpm
glibc-devel-2.17-157.el7_3.4.ppc64le.rpm
glibc-headers-2.17-157.el7_3.4.ppc64le.rpm
glibc-utils-2.17-157.el7_3.4.ppc64le.rpm
nscd-2.17-157.el7_3.4.ppc64le.rpm

s390x:
glibc-2.17-157.el7_3.4.s390.rpm
glibc-2.17-157.el7_3.4.s390x.rpm
glibc-common-2.17-157.el7_3.4.s390x.rpm
glibc-debuginfo-2.17-157.el7_3.4.s390.rpm
glibc-debuginfo-2.17-157.el7_3.4.s390x.rpm
glibc-debuginfo-common-2.17-157.el7_3.4.s390.rpm
glibc-debuginfo-common-2.17-157.el7_3.4.s390x.rpm
glibc-devel-2.17-157.el7_3.4.s390.rpm
glibc-devel-2.17-157.el7_3.4.s390x.rpm
glibc-headers-2.17-157.el7_3.4.s390x.rpm
glibc-utils-2.17-157.el7_3.4.s390x.rpm
nscd-2.17-157.el7_3.4.s390x.rpm

x86_64:
glibc-2.17-157.el7_3.4.i686.rpm
glibc-2.17-157.el7_3.4.x86_64.rpm
glibc-common-2.17-157.el7_3.4.x86_64.rpm
glibc-debuginfo-2.17-157.el7_3.4.i686.rpm
glibc-debuginfo-2.17-157.el7_3.4.x86_64.rpm
glibc-debuginfo-common-2.17-157.el7_3.4.i686.rpm
glibc-debuginfo-common-2.17-157.el7_3.4.x86_64.rpm
glibc-devel-2.17-157.el7_3.4.i686.rpm
glibc-devel-2.17-157.el7_3.4.x86_64.rpm
glibc-headers-2.17-157.el7_3.4.x86_64.rpm
glibc-utils-2.17-157.el7_3.4.x86_64.rpm
nscd-2.17-157.el7_3.4.x86_64.rpm

Red Hat Enterprise Linux Server Optional (v. 7):

aarch64:
glibc-debuginfo-2.17-157.el7_3.4.aarch64.rpm
glibc-static-2.17-157.el7_3.4.aarch64.rpm

ppc64:
glibc-debuginfo-2.17-157.el7_3.4.ppc.rpm
glibc-debuginfo-2.17-157.el7_3.4.ppc64.rpm
glibc-debuginfo-common-2.17-157.el7_3.4.ppc.rpm
glibc-debuginfo-common-2.17-157.el7_3.4.ppc64.rpm
glibc-static-2.17-157.el7_3.4.ppc.rpm
glibc-static-2.17-157.el7_3.4.ppc64.rpm

ppc64le:
glibc-debuginfo-2.17-157.el7_3.4.ppc64le.rpm
glibc-debuginfo-common-2.17-157.el7_3.4.ppc64le.rpm
glibc-static-2.17-157.el7_3.4.ppc64le.rpm

s390x:
glibc-debuginfo-2.17-157.el7_3.4.s390.rpm
glibc-debuginfo-2.17-157.el7_3.4.s390x.rpm
glibc-debuginfo-common-2.17-157.el7_3.4.s390.rpm
glibc-debuginfo-common-2.17-157.el7_3.4.s390x.rpm
glibc-static-2.17-157.el7_3.4.s390.rpm
glibc-static-2.17-157.el7_3.4.s390x.rpm

x86_64:
glibc-debuginfo-2.17-157.el7_3.4.i686.rpm
glibc-debuginfo-2.17-157.el7_3.4.x86_64.rpm
glibc-debuginfo-common-2.17-157.el7_3.4.i686.rpm
glibc-debuginfo-common-2.17-157.el7_3.4.x86_64.rpm
glibc-static-2.17-157.el7_3.4.i686.rpm
glibc-static-2.17-157.el7_3.4.x86_64.rpm

Red Hat Enterprise Linux Workstation (v. 7):

Source:
glibc-2.17-157.el7_3.4.src.rpm

x86_64:
glibc-2.17-157.el7_3.4.i686.rpm
glibc-2.17-157.el7_3.4.x86_64.rpm
glibc-common-2.17-157.el7_3.4.x86_64.rpm
glibc-debuginfo-2.17-157.el7_3.4.i686.rpm
glibc-debuginfo-2.17-157.el7_3.4.x86_64.rpm
glibc-debuginfo-common-2.17-157.el7_3.4.i686.rpm
glibc-debuginfo-common-2.17-157.el7_3.4.x86_64.rpm
glibc-devel-2.17-157.el7_3.4.i686.rpm
glibc-devel-2.17-157.el7_3.4.x86_64.rpm
glibc-headers-2.17-157.el7_3.4.x86_64.rpm
glibc-utils-2.17-157.el7_3.4.x86_64.rpm
nscd-2.17-157.el7_3.4.x86_64.rpm

Red Hat Enterprise Linux Workstation Optional (v. 7):

x86_64:
glibc-debuginfo-2.17-157.el7_3.4.i686.rpm
glibc-debuginfo-2.17-157.el7_3.4.x86_64.rpm
glibc-debuginfo-common-2.17-157.el7_3.4.i686.rpm
glibc-debuginfo-common-2.17-157.el7_3.4.x86_64.rpm
glibc-static-2.17-157.el7_3.4.i686.rpm
glibc-static-2.17-157.el7_3.4.x86_64.rpm

These packages are GPG signed by Red Hat for security.  Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2017-1000366
https://access.redhat.com/security/updates/classification/#important
https://access.redhat.com/security/vulnerabilities/stackguard

8. Contact:

The Red Hat security contact is . More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2017 Red Hat, Inc.

____________________________________________________________________
____________________________________________________________________

   SUSE Security Update: Security update for glibc
______________________________________________________________________________

Announcement ID:    SUSE-SU-2017:1611-1
Rating:             important
References:         #1038690 #1039357 #987216
Cross-References:   CVE-2017-1000366
Affected Products:
                    SUSE Linux Enterprise Server for SAP 12
                    SUSE Linux Enterprise Server 12-LTSS
______________________________________________________________________________

   An update that solves one vulnerability and has two fixes
   is now available.

Description:

   This update for glibc fixes the following issues:

   - CVE-2017-1000366: Fix a potential privilege escalation
     vulnerability that allowed unprivileged system users to manipulate
     the stack of setuid binaries to gain special privileges.
     [bsc#1039357]

   - The incorrectly defined constant O_TMPFILE has been fixed.
     [bsc#1038690]

   - A defect in glibc's regression test suite has been remedied to
     avoid false positives. [bsc#987216]


Patch Instructions:

   To install this SUSE Security Update use YaST online_update.
   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Server for SAP 12:

      zypper in -t patch SUSE-SLE-SAP-12-2017-988=1

   - SUSE Linux Enterprise Server 12-LTSS:

      zypper in -t patch SUSE-SLE-SERVER-12-2017-988=1

   To bring your system up-to-date, use "zypper patch".


Package List:

   - SUSE Linux Enterprise Server for SAP 12 (x86_64):

      glibc-2.19-22.21.1
      glibc-32bit-2.19-22.21.1
      glibc-debuginfo-2.19-22.21.1
      glibc-debuginfo-32bit-2.19-22.21.1
      glibc-debugsource-2.19-22.21.1
      glibc-devel-2.19-22.21.1
      glibc-devel-32bit-2.19-22.21.1
      glibc-devel-debuginfo-2.19-22.21.1
      glibc-devel-debuginfo-32bit-2.19-22.21.1
      glibc-locale-2.19-22.21.1
      glibc-locale-32bit-2.19-22.21.1
      glibc-locale-debuginfo-2.19-22.21.1
      glibc-locale-debuginfo-32bit-2.19-22.21.1
      glibc-profile-2.19-22.21.1
      glibc-profile-32bit-2.19-22.21.1
      nscd-2.19-22.21.1
      nscd-debuginfo-2.19-22.21.1

   - SUSE Linux Enterprise Server for SAP 12 (noarch):

      glibc-html-2.19-22.21.1
      glibc-i18ndata-2.19-22.21.1
      glibc-info-2.19-22.21.1

   - SUSE Linux Enterprise Server 12-LTSS (ppc64le s390x x86_64):

      glibc-2.19-22.21.1
      glibc-debuginfo-2.19-22.21.1
      glibc-debugsource-2.19-22.21.1
      glibc-devel-2.19-22.21.1
      glibc-devel-debuginfo-2.19-22.21.1
      glibc-locale-2.19-22.21.1
      glibc-locale-debuginfo-2.19-22.21.1
      glibc-profile-2.19-22.21.1
      nscd-2.19-22.21.1
      nscd-debuginfo-2.19-22.21.1

   - SUSE Linux Enterprise Server 12-LTSS (s390x x86_64):

      glibc-32bit-2.19-22.21.1
      glibc-debuginfo-32bit-2.19-22.21.1
      glibc-devel-32bit-2.19-22.21.1
      glibc-devel-debuginfo-32bit-2.19-22.21.1
      glibc-locale-32bit-2.19-22.21.1
      glibc-locale-debuginfo-32bit-2.19-22.21.1
      glibc-profile-32bit-2.19-22.21.1

   - SUSE Linux Enterprise Server 12-LTSS (noarch):

      glibc-html-2.19-22.21.1
      glibc-i18ndata-2.19-22.21.1
      glibc-info-2.19-22.21.1


References:

   https://www.suse.com/security/cve/CVE-2017-1000366.html
   https://bugzilla.suse.com/1038690
   https://bugzilla.suse.com/1039357
   https://bugzilla.suse.com/987216

____________________________________________________________________

   SUSE Security Update: Security update for glibc
______________________________________________________________________________

Announcement ID:    SUSE-SU-2017:1614-1
Rating:             important
References:         #1038690 #1039357 #986858
Cross-References:   CVE-2017-1000366
Affected Products:
                    SUSE OpenStack Cloud 6
                    SUSE Linux Enterprise Server for SAP 12-SP1
                    SUSE Linux Enterprise Server 12-SP1-LTSS
______________________________________________________________________________

   An update that solves one vulnerability and has two fixes
   is now available.

Description:

   This update for glibc fixes the following issues:

   - CVE-2017-1000366: Fix a potential privilege escalation
     vulnerability that allowed unprivileged system users to manipulate
     the stack of setuid binaries to gain special privileges.
     [bsc#1039357]

   - The incorrectly defined constant O_TMPFILE has been fixed.
     [bsc#1038690]

   - An incorrectly specified buffer length in nscd netgroup queries
     has been fixed. [bsc#986858]

Patch Instructions:

   To install this SUSE Security Update use YaST online_update.
   Alternatively you can run the command listed for your product:

   - SUSE OpenStack Cloud 6:

      zypper in -t patch SUSE-OpenStack-Cloud-6-2017-989=1

   - SUSE Linux Enterprise Server for SAP 12-SP1:

      zypper in -t patch SUSE-SLE-SAP-12-SP1-2017-989=1

   - SUSE Linux Enterprise Server 12-SP1-LTSS:

      zypper in -t patch SUSE-SLE-SERVER-12-SP1-2017-989=1

   To bring your system up-to-date, use "zypper patch".

Package List:

   - SUSE OpenStack Cloud 6 (x86_64):

      glibc-2.19-40.6.1
      glibc-32bit-2.19-40.6.1
      glibc-debuginfo-2.19-40.6.1
      glibc-debuginfo-32bit-2.19-40.6.1
      glibc-debugsource-2.19-40.6.1
      glibc-devel-2.19-40.6.1
      glibc-devel-32bit-2.19-40.6.1
      glibc-devel-debuginfo-2.19-40.6.1
      glibc-devel-debuginfo-32bit-2.19-40.6.1
      glibc-locale-2.19-40.6.1
      glibc-locale-32bit-2.19-40.6.1
      glibc-locale-debuginfo-2.19-40.6.1
      glibc-locale-debuginfo-32bit-2.19-40.6.1
      glibc-profile-2.19-40.6.1
      glibc-profile-32bit-2.19-40.6.1
      nscd-2.19-40.6.1
      nscd-debuginfo-2.19-40.6.1

   - SUSE OpenStack Cloud 6 (noarch):

      glibc-html-2.19-40.6.1
      glibc-i18ndata-2.19-40.6.1
      glibc-info-2.19-40.6.1

   - SUSE Linux Enterprise Server for SAP 12-SP1 (ppc64le x86_64):

      glibc-2.19-40.6.1
      glibc-debuginfo-2.19-40.6.1
      glibc-debugsource-2.19-40.6.1
      glibc-devel-2.19-40.6.1
      glibc-devel-debuginfo-2.19-40.6.1
      glibc-locale-2.19-40.6.1
      glibc-locale-debuginfo-2.19-40.6.1
      glibc-profile-2.19-40.6.1
      nscd-2.19-40.6.1
      nscd-debuginfo-2.19-40.6.1

   - SUSE Linux Enterprise Server for SAP 12-SP1 (x86_64):

      glibc-32bit-2.19-40.6.1
      glibc-debuginfo-32bit-2.19-40.6.1
      glibc-devel-32bit-2.19-40.6.1
      glibc-devel-debuginfo-32bit-2.19-40.6.1
      glibc-locale-32bit-2.19-40.6.1
      glibc-locale-debuginfo-32bit-2.19-40.6.1
      glibc-profile-32bit-2.19-40.6.1

   - SUSE Linux Enterprise Server for SAP 12-SP1 (noarch):

      glibc-html-2.19-40.6.1
      glibc-i18ndata-2.19-40.6.1
      glibc-info-2.19-40.6.1

   - SUSE Linux Enterprise Server 12-SP1-LTSS (ppc64le s390x x86_64):

      glibc-2.19-40.6.1
      glibc-debuginfo-2.19-40.6.1
      glibc-debugsource-2.19-40.6.1
      glibc-devel-2.19-40.6.1
      glibc-devel-debuginfo-2.19-40.6.1
      glibc-locale-2.19-40.6.1
      glibc-locale-debuginfo-2.19-40.6.1
      glibc-profile-2.19-40.6.1
      nscd-2.19-40.6.1
      nscd-debuginfo-2.19-40.6.1

   - SUSE Linux Enterprise Server 12-SP1-LTSS (s390x x86_64):

      glibc-32bit-2.19-40.6.1
      glibc-debuginfo-32bit-2.19-40.6.1
      glibc-devel-32bit-2.19-40.6.1
      glibc-devel-debuginfo-32bit-2.19-40.6.1
      glibc-locale-32bit-2.19-40.6.1
      glibc-locale-debuginfo-32bit-2.19-40.6.1
      glibc-profile-32bit-2.19-40.6.1

   - SUSE Linux Enterprise Server 12-SP1-LTSS (noarch):

      glibc-html-2.19-40.6.1
      glibc-i18ndata-2.19-40.6.1
      glibc-info-2.19-40.6.1

References:

   https://www.suse.com/security/cve/CVE-2017-1000366.html
   https://bugzilla.suse.com/1038690
   https://bugzilla.suse.com/1039357
   https://bugzilla.suse.com/986858

____________________________________________________________________

   SUSE Security Update: Security update for glibc
______________________________________________________________________________

Announcement ID:    SUSE-SU-2017:1619-1
Rating:             important
References:         #1039357 #1040043
Cross-References:   CVE-2017-1000366
Affected Products:
                    SUSE Linux Enterprise Software Development Kit 12-SP2
                    SUSE Linux Enterprise Server for Raspberry Pi 12-SP2
                    SUSE Linux Enterprise Server 12-SP2
                    SUSE Linux Enterprise Desktop 12-SP2
                    OpenStack Cloud Magnum Orchestration 7
______________________________________________________________________________

   An update that solves one vulnerability and has one errata
   is now available.

Description:

   This update for glibc fixes the following issues:

   - CVE-2017-1000366: Fix a potential privilege escalation
     vulnerability that allowed unprivileged system users to manipulate
     the stack of setuid binaries to gain special privileges.
     [bsc#1039357]

   - A bug in glibc that could result in deadlocks between malloc() and
     fork() has been fixed. [bsc#1040043]

Patch Instructions:

   To install this SUSE Security Update use YaST online_update.
   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Software Development Kit 12-SP2:

      zypper in -t patch SUSE-SLE-SDK-12-SP2-2017-990=1

   - SUSE Linux Enterprise Server for Raspberry Pi 12-SP2:

      zypper in -t patch SUSE-SLE-RPI-12-SP2-2017-990=1

   - SUSE Linux Enterprise Server 12-SP2:

      zypper in -t patch SUSE-SLE-SERVER-12-SP2-2017-990=1

   - SUSE Linux Enterprise Desktop 12-SP2:

      zypper in -t patch SUSE-SLE-DESKTOP-12-SP2-2017-990=1

   - OpenStack Cloud Magnum Orchestration 7:

      zypper in -t patch
SUSE-OpenStack-Cloud-Magnum-Orchestration-7-2017-990=1

   To bring your system up-to-date, use "zypper patch".

Package List:

   - SUSE Linux Enterprise Software Development Kit 12-SP2 (aarch64
ppc64le s390x x86_64):

      glibc-debuginfo-2.22-61.3
      glibc-debugsource-2.22-61.3
      glibc-devel-static-2.22-61.3

   - SUSE Linux Enterprise Software Development Kit 12-SP2 (noarch):

      glibc-info-2.22-61.3

   - SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (aarch64):

      glibc-2.22-61.3
      glibc-debuginfo-2.22-61.3
      glibc-debugsource-2.22-61.3
      glibc-devel-2.22-61.3
      glibc-devel-debuginfo-2.22-61.3
      glibc-locale-2.22-61.3
      glibc-locale-debuginfo-2.22-61.3
      glibc-profile-2.22-61.3
      nscd-2.22-61.3
      nscd-debuginfo-2.22-61.3

   - SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (noarch):

      glibc-html-2.22-61.3
      glibc-i18ndata-2.22-61.3
      glibc-info-2.22-61.3

   - SUSE Linux Enterprise Server 12-SP2 (aarch64 ppc64le x86_64):

      glibc-2.22-61.3
      glibc-debuginfo-2.22-61.3
      glibc-debugsource-2.22-61.3
      glibc-devel-2.22-61.3
      glibc-devel-debuginfo-2.22-61.3
      glibc-locale-2.22-61.3
      glibc-locale-debuginfo-2.22-61.3
      glibc-profile-2.22-61.3
      nscd-2.22-61.3
      nscd-debuginfo-2.22-61.3

   - SUSE Linux Enterprise Server 12-SP2 (noarch):

      glibc-html-2.22-61.3
      glibc-i18ndata-2.22-61.3
      glibc-info-2.22-61.3

   - SUSE Linux Enterprise Server 12-SP2 (x86_64):

      glibc-32bit-2.22-61.3
      glibc-debuginfo-32bit-2.22-61.3
      glibc-devel-32bit-2.22-61.3
      glibc-devel-debuginfo-32bit-2.22-61.3
      glibc-locale-32bit-2.22-61.3
      glibc-locale-debuginfo-32bit-2.22-61.3
      glibc-profile-32bit-2.22-61.3

   - SUSE Linux Enterprise Desktop 12-SP2 (noarch):

      glibc-i18ndata-2.22-61.3

   - SUSE Linux Enterprise Desktop 12-SP2 (x86_64):

      glibc-2.22-61.3
      glibc-32bit-2.22-61.3
      glibc-debuginfo-2.22-61.3
      glibc-debuginfo-32bit-2.22-61.3
      glibc-debugsource-2.22-61.3
      glibc-devel-2.22-61.3
      glibc-devel-32bit-2.22-61.3
      glibc-devel-debuginfo-2.22-61.3
      glibc-devel-debuginfo-32bit-2.22-61.3
      glibc-locale-2.22-61.3
      glibc-locale-32bit-2.22-61.3
      glibc-locale-debuginfo-2.22-61.3
      glibc-locale-debuginfo-32bit-2.22-61.3
      nscd-2.22-61.3
      nscd-debuginfo-2.22-61.3

   - OpenStack Cloud Magnum Orchestration 7 (x86_64):

      glibc-2.22-61.3
      glibc-debuginfo-2.22-61.3
      glibc-debugsource-2.22-61.3
      glibc-locale-2.22-61.3
      glibc-locale-debuginfo-2.22-61.3

References:

   https://www.suse.com/security/cve/CVE-2017-1000366.html
   https://bugzilla.suse.com/1039357
   https://bugzilla.suse.com/1040043

____________________________________________________________________

____________________________________________________________________
   SUSE Security Update: Security update for glibc
______________________________________________________________________________

Announcement ID:    SUSE-SU-2017:1621-1
Rating:             important
References:         #1039357
Cross-References:   CVE-2017-1000366
Affected Products:
                    SUSE Linux Enterprise Software Development Kit 11-SP4
                    SUSE Linux Enterprise Server 11-SP4
                    SUSE Linux Enterprise Server 11-SP3-LTSS
                    SUSE Linux Enterprise Point of Sale 11-SP3
                    SUSE Linux Enterprise Debuginfo 11-SP4
                    SUSE Linux Enterprise Debuginfo 11-SP3
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:

   This update for glibc fixes the following issues:

   - CVE-2017-1000366: Fix a potential privilege escalation
     vulnerability that allowed unprivileged system users to manipulate
     the stack of setuid binaries to gain special privileges.
     [bsc#1039357]

Patch Instructions:

   To install this SUSE Security Update use YaST online_update.
   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Software Development Kit 11-SP4:

      zypper in -t patch sdksp4-glibc-13158=1

   - SUSE Linux Enterprise Server 11-SP4:

      zypper in -t patch slessp4-glibc-13158=1

   - SUSE Linux Enterprise Server 11-SP3-LTSS:

      zypper in -t patch slessp3-glibc-13158=1

   - SUSE Linux Enterprise Point of Sale 11-SP3:

      zypper in -t patch sleposp3-glibc-13158=1

   - SUSE Linux Enterprise Debuginfo 11-SP4:

      zypper in -t patch dbgsp4-glibc-13158=1

   - SUSE Linux Enterprise Debuginfo 11-SP3:

      zypper in -t patch dbgsp3-glibc-13158=1

   To bring your system up-to-date, use "zypper patch".

Package List:

   - SUSE Linux Enterprise Software Development Kit 11-SP4 (i586 x86_64):

      glibc-html-2.11.3-17.109.1
      glibc-info-2.11.3-17.109.1

   - SUSE Linux Enterprise Server 11-SP4 (i586 i686 ia64 ppc64 s390x
x86_64):

      glibc-2.11.3-17.109.1
      glibc-devel-2.11.3-17.109.1

   - SUSE Linux Enterprise Server 11-SP4 (i586 ia64 ppc64 s390x x86_64):

      glibc-html-2.11.3-17.109.1
      glibc-i18ndata-2.11.3-17.109.1
      glibc-info-2.11.3-17.109.1
      glibc-locale-2.11.3-17.109.1
      glibc-profile-2.11.3-17.109.1
      nscd-2.11.3-17.109.1

   - SUSE Linux Enterprise Server 11-SP4 (ppc64 s390x x86_64):

      glibc-32bit-2.11.3-17.109.1
      glibc-devel-32bit-2.11.3-17.109.1
      glibc-locale-32bit-2.11.3-17.109.1
      glibc-profile-32bit-2.11.3-17.109.1

   - SUSE Linux Enterprise Server 11-SP4 (ia64):

      glibc-locale-x86-2.11.3-17.109.1
      glibc-profile-x86-2.11.3-17.109.1
      glibc-x86-2.11.3-17.109.1

   - SUSE Linux Enterprise Server 11-SP3-LTSS (i586 i686 s390x x86_64):

      glibc-2.11.3-17.109.1
      glibc-devel-2.11.3-17.109.1

   - SUSE Linux Enterprise Server 11-SP3-LTSS (i586 s390x x86_64):

      glibc-html-2.11.3-17.109.1
      glibc-i18ndata-2.11.3-17.109.1
      glibc-info-2.11.3-17.109.1
      glibc-locale-2.11.3-17.109.1
      glibc-profile-2.11.3-17.109.1
      nscd-2.11.3-17.109.1

   - SUSE Linux Enterprise Server 11-SP3-LTSS (s390x x86_64):

      glibc-32bit-2.11.3-17.109.1
      glibc-devel-32bit-2.11.3-17.109.1
      glibc-locale-32bit-2.11.3-17.109.1
      glibc-profile-32bit-2.11.3-17.109.1

   - SUSE Linux Enterprise Point of Sale 11-SP3 (i586 i686):

      glibc-2.11.3-17.109.1
      glibc-devel-2.11.3-17.109.1

   - SUSE Linux Enterprise Point of Sale 11-SP3 (i586):

      glibc-html-2.11.3-17.109.1
      glibc-i18ndata-2.11.3-17.109.1
      glibc-info-2.11.3-17.109.1
      glibc-locale-2.11.3-17.109.1
      glibc-profile-2.11.3-17.109.1
      nscd-2.11.3-17.109.1

   - SUSE Linux Enterprise Debuginfo 11-SP4 (i586 i686 ia64 ppc64 s390x
x86_64):

      glibc-debuginfo-2.11.3-17.109.1
      glibc-debugsource-2.11.3-17.109.1

   - SUSE Linux Enterprise Debuginfo 11-SP4 (ppc64 s390x x86_64):

      glibc-debuginfo-32bit-2.11.3-17.109.1

   - SUSE Linux Enterprise Debuginfo 11-SP4 (ia64):

      glibc-debuginfo-x86-2.11.3-17.109.1

   - SUSE Linux Enterprise Debuginfo 11-SP3 (i586 i686 s390x x86_64):

      glibc-debuginfo-2.11.3-17.109.1
      glibc-debugsource-2.11.3-17.109.1

   - SUSE Linux Enterprise Debuginfo 11-SP3 (s390x x86_64):

      glibc-debuginfo-32bit-2.11.3-17.109.1

References:

   https://www.suse.com/security/cve/CVE-2017-1000366.html
   https://bugzilla.suse.com/1039357
==========================================================
+ CERT-RENATER          | tel : 01-53-94-20-44           +
+ 23 - 25 Rue Daviel    | fax : 01-53-94-20-41           +
+ 75013 Paris           | email: cert@support.renater.fr +
==========================================================

[An attachment of type application/pkcs7-signature was included here]